# DO NOT DELETE: Beginning of Haskell dependencies
libraries/stm/dist-install/build/Control/Concurrent/STM/TBQueue.o : libraries/stm/Control/Concurrent/STM/TBQueue.hs
$(eval $(call hi-rule,libraries/stm/dist-install/build/Control/Concurrent/STM/TBQueue.hi  : %hi: %o  libraries/stm/Control/Concurrent/STM/TBQueue.hs))
libraries/stm/dist-install/build/Control/Concurrent/STM/TBQueue.o : libraries/base/dist-install/build/Prelude.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TBQueue.o : libraries/base/dist-install/build/GHC/Conc.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TBQueue.o : libraries/base/dist-install/build/Data/Typeable.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TChan.o : libraries/stm/Control/Concurrent/STM/TChan.hs
$(eval $(call hi-rule,libraries/stm/dist-install/build/Control/Concurrent/STM/TChan.hi  : %hi: %o  libraries/stm/Control/Concurrent/STM/TChan.hs))
libraries/stm/dist-install/build/Control/Concurrent/STM/TChan.o : libraries/base/dist-install/build/Prelude.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TChan.o : libraries/base/dist-install/build/Data/Typeable.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TChan.o : libraries/base/dist-install/build/GHC/Conc.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TMVar.o : libraries/stm/Control/Concurrent/STM/TMVar.hs
$(eval $(call hi-rule,libraries/stm/dist-install/build/Control/Concurrent/STM/TMVar.hi  : %hi: %o  libraries/stm/Control/Concurrent/STM/TMVar.hs))
libraries/stm/dist-install/build/Control/Concurrent/STM/TMVar.o : libraries/base/dist-install/build/Prelude.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TMVar.o : libraries/base/dist-install/build/Data/Typeable.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TMVar.o : libraries/base/dist-install/build/GHC/Weak.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TMVar.o : libraries/base/dist-install/build/GHC/Conc.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TMVar.o : libraries/base/dist-install/build/GHC/Base.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TQueue.o : libraries/stm/Control/Concurrent/STM/TQueue.hs
$(eval $(call hi-rule,libraries/stm/dist-install/build/Control/Concurrent/STM/TQueue.hi  : %hi: %o  libraries/stm/Control/Concurrent/STM/TQueue.hs))
libraries/stm/dist-install/build/Control/Concurrent/STM/TQueue.o : libraries/base/dist-install/build/Prelude.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TQueue.o : libraries/base/dist-install/build/Data/Typeable.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TQueue.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TQueue.o : libraries/base/dist-install/build/GHC/Conc.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TVar.o : libraries/stm/Control/Concurrent/STM/TVar.hs
$(eval $(call hi-rule,libraries/stm/dist-install/build/Control/Concurrent/STM/TVar.hi  : %hi: %o  libraries/stm/Control/Concurrent/STM/TVar.hs))
libraries/stm/dist-install/build/Control/Concurrent/STM/TVar.o : libraries/base/dist-install/build/Prelude.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TVar.o : libraries/base/dist-install/build/GHC/Weak.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TVar.o : libraries/base/dist-install/build/GHC/Conc.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TVar.o : libraries/base/dist-install/build/GHC/Base.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TArray.o : libraries/stm/Control/Concurrent/STM/TArray.hs
$(eval $(call hi-rule,libraries/stm/dist-install/build/Control/Concurrent/STM/TArray.hi  : %hi: %o  libraries/stm/Control/Concurrent/STM/TArray.hs))
libraries/stm/dist-install/build/Control/Concurrent/STM/TArray.o : libraries/base/dist-install/build/Prelude.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TArray.o : libraries/base/dist-install/build/GHC/Conc.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TArray.o : libraries/stm/dist-install/build/Control/Concurrent/STM/TVar.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TArray.o : libraries/base/dist-install/build/Data/Typeable.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TArray.o : libraries/base/dist-install/build/Data/Ix.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TArray.o : libraries/array/dist-install/build/Data/Array/Base.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TArray.o : libraries/array/dist-install/build/Data/Array.hi
libraries/stm/dist-install/build/Control/Monad/STM.o : libraries/stm/Control/Monad/STM.hs
$(eval $(call hi-rule,libraries/stm/dist-install/build/Control/Monad/STM.hi  : %hi: %o  libraries/stm/Control/Monad/STM.hs))
libraries/stm/dist-install/build/Control/Monad/STM.o : libraries/base/dist-install/build/Prelude.hi
libraries/stm/dist-install/build/Control/Monad/STM.o : libraries/base/dist-install/build/Control/Monad/Fix.hi
libraries/stm/dist-install/build/Control/Monad/STM.o : libraries/base/dist-install/build/GHC/Exts.hi
libraries/stm/dist-install/build/Control/Monad/STM.o : libraries/base/dist-install/build/GHC/Conc.hi
libraries/stm/dist-install/build/Control/Concurrent/STM.o : libraries/stm/Control/Concurrent/STM.hs
$(eval $(call hi-rule,libraries/stm/dist-install/build/Control/Concurrent/STM.hi  : %hi: %o  libraries/stm/Control/Concurrent/STM.hs))
libraries/stm/dist-install/build/Control/Concurrent/STM.o : libraries/base/dist-install/build/Prelude.hi
libraries/stm/dist-install/build/Control/Concurrent/STM.o : libraries/stm/dist-install/build/Control/Concurrent/STM/TBQueue.hi
libraries/stm/dist-install/build/Control/Concurrent/STM.o : libraries/stm/dist-install/build/Control/Concurrent/STM/TQueue.hi
libraries/stm/dist-install/build/Control/Concurrent/STM.o : libraries/stm/dist-install/build/Control/Concurrent/STM/TArray.hi
libraries/stm/dist-install/build/Control/Concurrent/STM.o : libraries/stm/dist-install/build/Control/Concurrent/STM/TChan.hi
libraries/stm/dist-install/build/Control/Concurrent/STM.o : libraries/stm/dist-install/build/Control/Concurrent/STM/TMVar.hi
libraries/stm/dist-install/build/Control/Concurrent/STM.o : libraries/stm/dist-install/build/Control/Concurrent/STM/TVar.hi
libraries/stm/dist-install/build/Control/Concurrent/STM.o : libraries/stm/dist-install/build/Control/Monad/STM.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TSem.o : libraries/stm/Control/Concurrent/STM/TSem.hs
$(eval $(call hi-rule,libraries/stm/dist-install/build/Control/Concurrent/STM/TSem.hi  : %hi: %o  libraries/stm/Control/Concurrent/STM/TSem.hs))
libraries/stm/dist-install/build/Control/Concurrent/STM/TSem.o : libraries/base/dist-install/build/Prelude.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TSem.o : libraries/base/dist-install/build/Data/Word.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TSem.o : libraries/base/dist-install/build/Data/Typeable.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TSem.o : libraries/base/dist-install/build/Control/Monad.hi
libraries/stm/dist-install/build/Control/Concurrent/STM/TSem.o : libraries/stm/dist-install/build/Control/Concurrent/STM.hi
libraries/stm/dist-install/build/Control/Sequential/STM.o : libraries/stm/Control/Sequential/STM.hs
$(eval $(call hi-rule,libraries/stm/dist-install/build/Control/Sequential/STM.hi  : %hi: %o  libraries/stm/Control/Sequential/STM.hs))
libraries/stm/dist-install/build/Control/Sequential/STM.o : libraries/base/dist-install/build/Prelude.hi
libraries/stm/dist-install/build/Control/Sequential/STM.o : libraries/base/dist-install/build/Data/IORef.hi
libraries/stm/dist-install/build/Control/Sequential/STM.o : libraries/base/dist-install/build/Control/Exception.hi
# DO NOT DELETE: End of Haskell dependencies
libraries/stm_dist-install_depfile_haskell_EXISTS = YES
